/*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/
/************************ Valores generales, grd-areas,colores, etc para todos los tamaños ******************************/
:root {
  --marronOscuro: #3d2e18;
  --marronClaro: #674a04;
  --ocre: #c49d31;
  --orange: rgb(235, 182, 110);
  --crema: #efead7;
  --blanquito: #f0f2fa;
  --grisClaro: #878e99;
  --grisOscuro: #4b5058;
}
* {
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
  color: var(--marronClaro) !important; /*todos los textos*/
  margin: 0;
  padding: 0;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Raleway", sans-serif !important;
  margin-bottom: 8px;
}
a {
  text-decoration: none !important;
  color: var(--marronClaro) !important;
}
p {
  text-indent: 20px;
}
.button_nav  {
  color: var(--marronClaro);
  display: flex;
  align-items: center;
  padding: 0.3rem; 
  margin: 0 0.3rem;
  border: none;
  border-radius: 5%;
  background: none; 
  font-weight: 600;
  font-size: 1rem;
}
.selected{
  background-color: rgb(235, 182, 110);
  border-radius: 15%;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 35px 35px;
}

.logo_index_nav:hover {
  filter: drop-shadow(0px 10px 15px var(--marronOscuro));
}
header {
  z-index: 100;
  grid-area: header;
  width: 100%;
  margin-bottom: 1rem;
  margin-top: 1rem;
}

#btn-menu{
  display: none;
}
header label{
  display: none;
  width: 30px;
  height: 30px;
  padding: 0.5rem
}
header label:hover{
  cursor: pointer;
}
.menu ul{
  margin:0;
  list-style: none;
  padding: 0;
  display:flex;
  justify-content: flex-end;
}

.go-top-container{
  position: fixed;
  bottom: 3rem;
  right: 2rem;
  width: 3rem;
  height:3rem;
  z-index: -1;  
}

.go-top-button{
  width: 0rem;
  height: 0rem;
  overflow: hidden;
  background-color: rgb(235, 182, 110);
  box-shadow: rgba(0, 0, 0, 0.35) 0px 35px 35px;
  border-radius: 50%;
  cursor:pointer;
display: flex;
justify-content: center;
align-items: center;
 
}
.go-top-button img{
   width:1rem;
   transition:.2s;
}
.show{
  z-index:1000;
}
.show .go-top-button{
  animation: popup .3s ease-in-out;
  width: inherit;
  height: inherit;
  z-index: 1100;

}

@keyframes popup {
  0%{
    width: 0rem;
    height: 0rem;
  }
  50%{
    width: 2rem;
    height: 2rem;
  }
  100%{
    width: inherit;
    height: inherit;
  }
}

/*-----------------responsive-hasta 700px---------------------------------------------------*/
@media (max-width: 700px) {
  .button {
    font-size: 0.9rem;
  }
}

@media (max-width: 500px) {
header{
  margin-top: 0.5rem;
}
header label{
  display: block;
}

#btn-menu:checked ~.menu{
    margin-left:0;
}

.menu{
  background-color: rgba(214, 213, 208);
  position:absolute;   
  width: min-content;
  border-radius: 0.8rem;
  padding: 0.3rem;
  margin-left: -40%;
  transition: all 0.5s;
  margin-top: 4px;
}
.menu ul{
 
  flex-direction: column;
}
.button_nav  {
  color: var(--marronClaro);
  display: flex;
  align-items: center;
  border: none;
  border-radius: 5%;
  background: none; 
  font-weight: 600;
  font-size: 0.8rem;
  text-align:left;
  border-bottom: 1px solid rgb(103, 74, 4, 0.5);
  height: 3rem;
}
.selected{
  background-color: rgb(235, 182, 110);
  border-radius: 5%;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 35px 35px;
}
}